# Form implementation generated from reading ui file 'src/eric7/Plugins/WizardPlugins/SetupWizard/AddEntryPointDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_AddEntryPointDialog(object):
    def setupUi(self, AddEntryPointDialog):
        AddEntryPointDialog.setObjectName("AddEntryPointDialog")
        AddEntryPointDialog.resize(500, 214)
        AddEntryPointDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(AddEntryPointDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label_3 = QtWidgets.QLabel(parent=AddEntryPointDialog)
        self.label_3.setObjectName("label_3")
        self.verticalLayout.addWidget(self.label_3)
        self.typeComboBox = QtWidgets.QComboBox(parent=AddEntryPointDialog)
        self.typeComboBox.setObjectName("typeComboBox")
        self.verticalLayout.addWidget(self.typeComboBox)
        self.label = QtWidgets.QLabel(parent=AddEntryPointDialog)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.nameEdit = QtWidgets.QLineEdit(parent=AddEntryPointDialog)
        self.nameEdit.setClearButtonEnabled(True)
        self.nameEdit.setObjectName("nameEdit")
        self.verticalLayout.addWidget(self.nameEdit)
        self.label_2 = QtWidgets.QLabel(parent=AddEntryPointDialog)
        self.label_2.setObjectName("label_2")
        self.verticalLayout.addWidget(self.label_2)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.scriptEdit = QtWidgets.QLineEdit(parent=AddEntryPointDialog)
        self.scriptEdit.setClearButtonEnabled(True)
        self.scriptEdit.setObjectName("scriptEdit")
        self.horizontalLayout.addWidget(self.scriptEdit)
        self.scriptButton = QtWidgets.QToolButton(parent=AddEntryPointDialog)
        self.scriptButton.setObjectName("scriptButton")
        self.horizontalLayout.addWidget(self.scriptButton)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=AddEntryPointDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(AddEntryPointDialog)
        self.buttonBox.accepted.connect(AddEntryPointDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(AddEntryPointDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(AddEntryPointDialog)
        AddEntryPointDialog.setTabOrder(self.typeComboBox, self.nameEdit)
        AddEntryPointDialog.setTabOrder(self.nameEdit, self.scriptEdit)
        AddEntryPointDialog.setTabOrder(self.scriptEdit, self.scriptButton)

    def retranslateUi(self, AddEntryPointDialog):
        _translate = QtCore.QCoreApplication.translate
        AddEntryPointDialog.setWindowTitle(_translate("AddEntryPointDialog", "Add Entry Point"))
        self.label_3.setText(_translate("AddEntryPointDialog", "Script Type:"))
        self.typeComboBox.setToolTip(_translate("AddEntryPointDialog", "Select the script type"))
        self.label.setText(_translate("AddEntryPointDialog", "Name:"))
        self.nameEdit.setToolTip(_translate("AddEntryPointDialog", "Enter a name for the entry point"))
        self.label_2.setText(_translate("AddEntryPointDialog", "Script Function:"))
        self.scriptEdit.setToolTip(_translate("AddEntryPointDialog", "Enter the script and function"))
        self.scriptButton.setToolTip(_translate("AddEntryPointDialog", "Press to select the script via a file selection dialog"))
